As part of our ongoing security enhancements and in line with recommended industry standards, as of build 8.11.5 and upwards the Altaro RESTful APIs will only accept connections using HTTPS.  So if you are using any custom API scripts, it is important that these scripts are updated before upgrading to build 8.11.5.

 

Your existing scripts using HTTP will still continue to work on older builds (v8.10.24 and earlier) of Altaro VM Backup.

 

All the sample API scripts that are bundled with the product will be automatically updated. However, if you have created any custom API scripts for Altaro VM Backup, these must be manually updated to use HTTPS (i.e., all the URLs in your script must be updated to HTTPS for it to run successfully).

 

The above only applies after you upgrade to version 8.11.5 upwards.


Please note that if you are using Custom Scripts, you will need to add the following before any communication starts, this will be using our self-signed certificate:

add-type @"
using System.Net;
using System.Security.Cryptography.X509Certificates;
public class TrustAllCertsPolicy : ICertificatePolicy {
    public bool CheckValidationResult(
        ServicePoint srvPoint, X509Certificate certificate,
        WebRequest request, int certificateProblem) {
        return true;
    }
}
"@
[System.Net.ServicePointManager]::CertificatePolicy = New-Object TrustAllCertsPolicy


Should you have any questions regarding this update, please reach out to support@altaro.com for further assistance.